Re: [orca-list] Problems installing orca on quite old system

UÅytkownik Javier HernÃndez napisaÅ:
El 08/02/11 16:35, W.P. escribiÃ:
Hi there,
my system is based on Fedora 8 - laptop I use sometimes. My "normal"
system is mixture Fedora 8/9/10 + lots of soft compiled from source.

I have tried to install Orca from regular repo (2.20): in installs
correctly, (+ GNOME_speech / festival, Polish voice for Festival).
install epiphany (as told that it is working).

Problem: orca starts, says ""Welcome.." (in Polish) trying to read some
text stops at first polish national character.

OK, I was told to use newer version.
So i am trying 2.30 from source.
Need to install pyatspi as dependency (also from source).
Configure/make/install runs OK but orca does not start:

laurent laptop ~]$ orca
Traceback (most recent call last):
   File "<string>", line 1, in<module>
   File "/usr/lib/python2.5/site-packages/orca/", line 1747,
in main
   File "/usr/lib/python2.5/site-packages/orca/", line 1267,
in init
   File "/usr/lib/python2.5/site-packages/pyatspi/", line
232, in
     self._set_default_registry ()
   File "/usr/lib/python2.5/site-packages/pyatspi/", line
159, in
     self._set_registry (MAIN_LOOP_GLIB)
   File "/usr/lib/python2.5/site-packages/pyatspi/", line
132, in
     cache = AccessibleCache (app_name)
   File "/usr/lib/python2.5/site-packages/pyatspi/", line
291, in
     self._manager = DesktopCacheManager (self)
   File "/usr/lib/python2.5/site-packages/pyatspi/", line
102, in
     obj     = bus.get_object(ATSPI_REGISTRY_NAME, ATSPI_ROOT_PATH,
   File "/usr/lib/python2.5/site-packages/dbus/", line 240, in
   File "/usr/lib/python2.5/site-packages/dbus/", line 236, in
     self._named_service = conn.activate_name_owner(bus_name)
   File "/usr/lib/python2.5/site-packages/dbus/", line 179, in
   File "/usr/lib/python2.5/site-packages/dbus/", line 277, in
     'su', (bus_name, flags)))
   File "/usr/lib/python2.5/site-packages/dbus/", line
603, in
     message, timeout)
org.freedesktop.DBus.Error.ServiceUnknown: The
name org.a11y.atspi.Registry was not provided by any .service files

what am I missing?

Is in your machine running a process called 'at-spi-registryd'?
If don't, maybe the problem is that you don't have at-spi's dbus
service up & running

After reinstalling everything (festival-*, at-spi-*, gnome-speech) I
have arrived at my "starting point":
working old orca.
Now reinstalling orca 2.30: miracle it starts...

festival 1.96 (fc7/8), at-spi-* from F10

But main problem persists: spelling rewinds and stops after first polish
national character.

Any ideas?
How to test festival?



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]